Subject: Re: bug#56870: company-dabbrev variable documentation

From: uzibalqa <[email-masked]>
Date: Mon, 01 Aug 2022 21:55:51 +0000

------- Original Message -------
On Monday, August 1st, 2022 at 9:49 PM, Matt Armstrong <[email-masked]> wrote:

> uzibalqa [email-masked] writes:
>
> > On Monday, August 1st, 2022 at 9:24 PM, Matt Armstrong [email-masked] wrote:
> >
> > > Hope that helps!
> >
> > It is a shame that documentation does not come with example. It is
> > what is much lacking.
>
>
> I think the "friendly" way to customize Emacs is intended to be the
> customization system:
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Easy-Customization.html
> In most cases, the customize interface hides lisp level details from the
> user.
>
> There is project level goal that most of the useful customizations a
> user can do in Emacs should be possible in the customize system, without
> using lisp. This is one reason the help text does not often describe
> things with Lisp examples. They would be of no use to the people using
> the Customize interface, and possibly even confusing.

There can be a verbosity flag that can be used to show lisp usage following
the description.

> I still think your original point is a good one. I found the one piece
> of documentation explaining how to write quoted things in Emacs
> documentation, but I could not find a place explaining the conventions
> for quoted things mean in Emacs help. Perhaps another person can find
> that, or suggest a way to explain it to new users.

Such conventions should be described in the starting part of the documentation or in appendix.